package com.gic.haoban.manage.service.pojo.qo.content;

import com.gic.haoban.base.api.common.BasePageInfo;

import java.util.Date;

/**
 * @Author MUSI
 * @Date 2023/3/19 11:29 PM
 * @Description
 * @Version
 **/
public class ClerkShareLogQO extends BasePageInfo {

    private static final long serialVersionUID = -2919045329617420361L;

    /**
     * 分享日志id
     */
    private Long shareLogId;

    /**
     * 企业id
     */
    private String enterpriseId;

    /**
     * 导购id
     */
    private String clerkId;

    /**
     * 开始时间
     */
    private Date startTime;

    /**
     * 结束时间
     */
    private Date endTime;

    /**
     * @see com.gic.haoban.manage.api.enums.content.ShareBizType
     */
    private Integer bizType;

    public String getEnterpriseId() {
        return enterpriseId;
    }

    public ClerkShareLogQO setEnterpriseId(String enterpriseId) {
        this.enterpriseId = enterpriseId;
        return this;
    }

    public Date getStartTime() {
        return startTime;
    }

    public ClerkShareLogQO setStartTime(Date startTime) {
        this.startTime = startTime;
        return this;
    }

    public Date getEndTime() {
        return endTime;
    }

    public ClerkShareLogQO setEndTime(Date endTime) {
        this.endTime = endTime;
        return this;
    }

    public Integer getBizType() {
        return bizType;
    }

    public ClerkShareLogQO setBizType(Integer bizType) {
        this.bizType = bizType;
        return this;
    }

    public String getClerkId() {
        return clerkId;
    }

    public ClerkShareLogQO setClerkId(String clerkId) {
        this.clerkId = clerkId;
        return this;
    }

    public Long getShareLogId() {
        return shareLogId;
    }

    public ClerkShareLogQO setShareLogId(Long shareLogId) {
        this.shareLogId = shareLogId;
        return this;
    }
}
